Subject: #include "help.h"

From: [email-masked]
Date: Tue, 25 May 1999 17:54:19 -0500 (CDT)

Full_Name: Amir C. Akhavan
Version: 2.3.3
CVS_Date: May 25
OS: RH Linux 5.2, 2.2.9
X_Server: XFree86 3.3.3.1-1
Submission from: (NULL) (128.218.119.142)

Hi!

Would someone please have the patience to explain to me what I have to do 
in addition to the explanations given in the INSTALL file to compile 
the last CVSs (beginning May 22) and overcome my problems with 
(missing) include-files?

I have succesfully built and installed fvwm2 from every CVS that I
downloaded 
from April 15 till May 21 (about 15 different versions).

Meanwhile (May 25) make stops at:
  > make
  make  all-recursive
  make[1]: Entering directory `/home/amir/fvwm-snap-19990525'
  Making all in libs
  make[2]: Entering directory `/home/amir/fvwm-snap-19990525/libs'
  make[2]: *** No rule to make target `ClientMsg.h', needed by
`Bindings.o'.  Stop.
  make[2]: Leaving directory `/home/amir/fvwm-snap-19990525/libs'
  make[1]: *** [all-recursive] Error 1
  make[1]: Leaving directory `/home/amir/fvwm-snap-19990525'
  make: *** [all-recursive-am] Error 2

Of course, there is no ClientMsg.h anywhere...

Before that (May 23/24), it had it's first error stopped at fvwmsignal.c, 
same cause.

I have been advised to regenerate my makefiles and rebuild because 
fvwmsignal.c fvwmsignal.h are new files. 
I read that as "do a ./configure and a make", but I might miss
something...

The problem (?) is 
  fvwmsignal.h
  ClienMsg.h
  Grab.h
  safemalloc.h
  wild.h
  (and whatever else, I've only checked the *.c files in
fvwm-snap-19990525/lib) 
are not included in the CVS-tar-ball.

Don't they have to be there? 
I have very little C experience, but I naively assume that 
  #include "somefile.h"
means that somefile.h has to be really present in the same directory.

Could this be a compiler / make problem on my side?
./configure reports:
  checking for working makeinfo... missing
  checking for sys/systeminfo.h... no
  checking for dnet_ntoa in -ldnet... no
  checking for dnet_ntoa in -ldnet_stub... no
  checking for POSIXized ISC... no
but this has never been a problem before May 22.

I hope this mail doesn't end up in the trash as the last did.

thanx
Amir

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]